<?php
/**
* @package _rite
* @subpackage comments.php
* @author Chris Kelley <chris@organicbeemedia.com)
* @author URI: http://cloudworkthemes.com
* @link http://demo.cloudworkthemes.com/tracked
* @license GPL v3
* @license URI http://www.gnu.org/licenses/gpl.html 
* @since 1.0
*
*  	 Copyright (C) 2013  Chris Kelley (chris@organicbeemedia.com)
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* 	 Some rights reserved. See COPYING, AUTHORS.
*
*/
$args = array(
	'order'          => 'ASC',
	'orderby' => 'menu_order',
	'post_type'      => 'attachment',
	'post_parent'    => $post->ID,
	'post_mime_type' => 'audio',
	'post_status'    => null,
	'numberposts'    => 999,
	);
	
$attachments = get_children($args); 

cw_post_before(); ?>
	
<!-- Start Post <?php the_ID(); ?> -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php cw_post_top(); ?>
	<section class="post-above">

		<?php if(has_post_thumbnail()) { 

	 		the_post_thumbnail('cw-post'); 
		
	 	} ?>
	
	</section>

	<header class="post-header">
				
		<h2 class="post-title">
		
			<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
		
		</h2>
	
		<p class="post-date"><?php the_time('n.j.y'); ?></p>
		
	</header>
	
	<?php if(count( $attachments ) > 0) { ?>
		 
		<audio class="cw-audio" preload> </audio>
		
		<ol class="audio-list">

			<?php foreach ($attachments as $attachment) {	
		     	
		     	$track_title = $attachment->post_title;
		     	
		     	$track_author = $attachment->post_excerpt; ?>
			 		
		     		<li><a href="#" data-src="<?php echo wp_get_attachment_url($attachment->ID); ?>"><?php echo $track_title; ?>&nbsp;</a><?php if($track_author != '' ){ echo '-&nbsp;' . '<span>' . $track_author . '</span>'; }?></li>

		     <?php } ?>
			 	
		</ol>	 			 

	<?php } ?>
		
		
		<section class="post-content">
		
			<?php if( cw_get_option('cw_display_excerpt') == 1 && ! is_singular() ){
		
				the_excerpt();
		
			} else {
		
				the_content( cw_get_option('cw_content_text') .'<i class="icon-right-open-big"></i>' );	
			
			} ?>
										
		</section>
	

	<?php cw_post_content_after();
	
		 if (is_singular() ){	
			
		wp_link_pages();	
		
		the_tags('<ul class="post-tag-cloud"><li>','</li><li>','</li></ul>'); 
	
		get_template_part( 'post', 'footer' );

		get_template_part( 'post', 'author' );
		
	}  ?> 
<?php cw_post_bottom(); ?>
</article>
<!-- End Post <?php the_ID(); ?> -->
<?php cw_post_after(); ?>
