<?php
/**
* @package _rite
* @subpackage content-gallery.php
* @author Chris Kelley <chris@organicbeemedia.com)
* @author URI: http://cloudworkthemes.com
* @link http://demo.cloudworkthemes.com/tracked
* @license GPL v3
* @license URI http://www.gnu.org/licenses/gpl.html 
* @since 1.0
*
*  	 Copyright (C) 2013  Chris Kelley (chris@organicbeemedia.com)
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* 	 Some rights reserved. See COPYING, AUTHORS.
*
*/

//Get the Image attachment stuff
$args = array(
		'post_type' => 'attachment',
		'numberposts' => null,
		'post_status' => null,
		'post_mime_type' => 'image',
		'order'		  => 'ASC',
		'post_parent' => $post->ID,
		'posts_per_page'	=> '9999'
	);
	
$attachments = get_posts( $args ); 

cw_post_before(); ?>
	
<!-- Start Post <?php the_ID(); ?> -->
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
<?php cw_post_top(); ?>

	<section class="post-above">
	
		<?php if(count( $attachments ) > 1) { ?>
	
	 		<div class="flexslider">
			
				<ul class="slides">
	
					<?php foreach ( $attachments as $attachment ) { 	?>

						<li><?php echo wp_get_attachment_image( $attachment->ID, 'cw-post' ); ?></li>
	
						<?php } ?>
	
				</ul>
			
			</div>
	
		<?php } else {
				
			foreach ( $attachments as $attachment ) { 	 ?>
		
				<?php echo wp_get_attachment_image( $attachment->ID, 'cw-post' ); 
					
			}

		} ?>
	
	</section>

	<header class="post-header">
				
		<h2 class="post-title">
		
			<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
		
		</h2>
	
		<p class="post-date"><?php the_time('n.j.y'); ?></p>
		
	</header>

	<?php if( empty( $post->post_content) ) {
	
		return;
	
	} else { ?>
	
	<section class="post-content">
		
			<?php if( cw_get_option('cw_display_excerpt') == 1 && ! is_singular() ){
		
				the_excerpt();
		
			} else {
		
				the_content( cw_get_option('cw_content_text') .'<i class="icon-right-open-big"></i>' );	
			
			} ?>		
								
	</section>

	<?php } 
	
	cw_post_content_after();
	
	if (is_singular() ){	
			
		wp_link_pages();	
		
		the_tags('<ul class="post-tag-cloud"><li>','</li><li>','</li></ul>'); 
	
		get_template_part( 'post', 'footer' );

		get_template_part( 'post', 'author' );
		
	}  ?> 
<?php cw_post_bottom(); ?>

</article>
<!-- End Post <?php the_ID(); ?> -->
<?php cw_post_after(); ?>
