<?php
/**
* @package _rite
* @subpackage functions.php
* @author Chris Kelley <chris@organicbeemedia.com)
* @author URI: http://cloudworkthemes.com
* @link http://demo.cloudworkthemes.com/tracked
* @license GPL v3
* @license URI http://www.gnu.org/licenses/gpl.html 
* @since 1.0
*
*  	 Copyright (C) 2013  Chris Kelley (chris@organicbeemedia.com)
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* 	 Some rights reserved. See COPYING, AUTHORS.
*
* 	Table of Contents
*	-----------------
*
*	Main functions file for the theme, loads framework and theme files.
*
*		Define Environment
*		Load Options Framework
*		Load Theme Files
*		cloudwork_themes_setup
*/

//Sets the Content Width
if ( ! isset( $content_width ) ) $content_width = 960;

/*-----------------------------------------------------------------------------------*/
/* Loads Framework
/*-----------------------------------------------------------------------------------*/

require_once trailingslashit( get_template_directory() ) . 'functions/cloudwork-loader.php';

$cw_canvas = cw_Canvas::instance();

/*-----------------------------------------------------------------------------------*/
/* Loads Theme Files
/*-----------------------------------------------------------------------------------*/

require_once trailingslashit( CW_INC ) . 'theme-plugins.php';

require_once trailingslashit( CW_INC ) . 'theme-scripts.php';

require_once trailingslashit( CW_INC ) . 'theme-functions.php';

require_once trailingslashit( CW_INC ) . 'theme-comments.php';

require_once trailingslashit( CW_INC ) . 'post-format-compat.php';

require_once trailingslashit( CW_INC ) . 'theme-upgrader.php';

/*-----------------------------------------------------------------------------------*/
/*  Theme Setup
/*-----------------------------------------------------------------------------------*/


//Run after_setup_theme
add_action('after_setup_theme', 'cloudwork_themes_setup' );

/**
 * Setups themes adding support for WordPress features
 *
 * @access private
 * @return void
 * @since 1.0
 */
function cloudwork_themes_setup() {

	// Add support for WordPress features
	add_editor_style('editor-style.css');
	add_theme_support('automatic-feed-links');

	//Add support for different post formats

	add_theme_support( 'post-formats', array( 'gallery', 'audio', 'video', 'quote', 'status' ) );
	add_theme_support('structured-post-formats', array( 'audio', 'video', 'quote', 'status' ));

	//Add WordPress menu support

	add_theme_support( 'menus' );

	register_nav_menus(
		array(
			'primary-menu' => __( 'Primary Menu', 'cloudwork_themes' ),
		)
	);

	//Add Thumbnail Support
	add_theme_support( 'post-thumbnails', array( 'post', 'page' ) );

	add_image_size( 'cw-post', 960, 9999 ); //soft crop
	add_image_size( 'cw-original', 9999, 9999 ); //no crop
	
	add_theme_support( 'cw-envato-updater' ); //Remove this line or add remove_theme_support('cw-envato-updater'); to the child theme to disable it


}
/*-----------------------------------------------------------------------------------*/
/*  All Custom Code goes below this line, but you should be using a child theme!
/*-----------------------------------------------------------------------------------*/