<?php
/**
* @package Tracked
* @subpackage post-format-compat.php
* @author Chris Kelley <chris@organicbeemedia.com)
* @author URI: http://cloudworkthemes.com
* @link http://demo.cloudworkthemes.com/tracked
* @license GPL v3
* @license URI http://www.gnu.org/licenses/gpl.html 
* @since 1.0
*
*  	 Copyright (C) 2013  Chris Kelley (chris@organicbeemedia.com)
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* 	 Some rights reserved. See COPYING, AUTHORS.
*
* 	Table of Contents
*	-----------------
*/
if( ! is_cw_old_post_formats() ){

add_action( 'admin_enqueue_scripts', 'cw_meta_scripts' );

function cw_meta_scripts( $hook ) {

	if ( $hook == 'post.php' || $hook == 'post-new.php' || $hook == 'page-new.php' || $hook == 'page.php' ) {
					
		wp_enqueue_script( 'cw-metabox' );
							
	}	
	
}

//Add Filter for metabox framework
add_filter( 'cw_meta_boxes', 'cw_metaboxes' );

/**
 * Define the metabox and field configurations.
 * add underscore to prefix to prevent loading in custom feilds
 *
 * @since 1.0
 * @param  array $meta_boxes
 * @return array
 */
function cw_metaboxes( array $meta_boxes ) {

	//Quote metabox for adding author and source to post format quote
	$meta_boxes[] = array(
		'id'         => 'cw_quote_meta',
		'title'      => __('Quote Information', 'cloudwork_themes'),
		'pages'      => array( 'post', ),
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true,
		'fields'     => array(
		
			array(
				'name' => __('Quote', 'cloudwork_themes'),
				'desc' => __('Quote', 'cloudwork_themes'),
				'id'   => '_wp_format_quote',
				'type' => 'textarea',
			),
					
			array(
				'name' => __('Author', 'cloudwork_themes'),
				'desc' => __('The Quote Source (i.e Vincent Van Gogh)', 'cloudwork_themes'),
				'id'   => '_wp_format_quote_source',
				'type' => 'text',
			),
			array(
				'name' => __('Cite', 'cloudwork_themes'),
				'desc' => __('The source url, http:// or https:// is needed', 'cloudwork_themes'),
				'id'   => '_wp_format_url',
				'type' => 'text',
			),

		)
	);
	//Video metabox for embeding on post format video
	$meta_boxes[] = array(
		'id'         => 'cw_video_meta',
		'title'      => __('Video Information', 'cloudwork_themes'),
		'pages'      => array( 'post', ),
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true,
		'fields'     => array(

			array(
				'name' => __('Video Embed Code', 'cloudwork_themes'),
				'desc' => __('The embed code from a video site, if a video uploaded to the post this field is ignored', 'cloudwork_themes'),
				'id'   => '_wp_format_video',
				'type' => 'textarea_code',
			),

		)
	);

	return $meta_boxes;
	
}

/*-----------------------------------------------------------------------------------*/
/*  Create the Metaboxes 
/*-----------------------------------------------------------------------------------*/
$meta_boxes = array();

$meta_boxes = apply_filters ( 'cw_meta_boxes' , $meta_boxes );

foreach ( $meta_boxes as $meta_box ) {
	
	$my_box = new cw_Meta_Box( $meta_box );

}

}
?>