<?php
/**
* @package Tracked
* @subpackage theme-upgrader.php
* @author Chris Kelley <chris@organicbeemedia.com)
* @author URI: http://cloudworkthemes.com
* @link http://demo.cloudworkthemes.com/tracked
* @license GPL v3
* @license URI http://www.gnu.org/licenses/gpl.html 
* @since 1.0
*
*  	 Copyright (C) 2013  Chris Kelley (chris@organicbeemedia.com)
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License, or
*    (at your option) any later version.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* 	 Some rights reserved. See COPYING, AUTHORS.
*
* 	Table of Contents
*	-----------------
*
*	cloudwork_themes_upgrade
*/

add_action('after_switch_theme', 'cloudwork_themes_upgrade');

/**
 * cloudwork_themes_upgrade function.
 * 
 * @access public
 * @return void
 */
function cloudwork_themes_upgrade() {
	
	$update_version = '1.0';//this number is different than the theme version number, as the upgrade wont need to be ran on every version change 

	if ( get_option('cw_upgrade_tracked') < $update_version ){
		
		cw_update_meta_key('_wp_format_video', 'cw_embed_video' );
	
		cw_update_meta_key('_wp_format_quote_source', 'cw_author' );

		cw_update_meta_key('_wp_format_url', 'cw_author_cite' );
	
		cw_update_meta_key('_wp_format_url', 'cw_link' );
		
		update_option('cw_upgrade_tracked', $update_version );	
	
	} else {
	
		return;		

	}

	
}

?>