(function ($) {

	//Functions
	cwTracked = {
	
		fitVid: function () {

			$(".post-above").fitVids();

		},
		//end fitVid
		slideshow: function () {

			$('.flexslider').flexslider({

				slideshow: true,
				controlNav: false,
				touch: false,
				//disable touch to prevent menu opening as well
				prevText: '<i class="icon-left-open-big"></i>',
				nextText: '<i class="icon-right-open-big"></i>'

			});
		},

		audio: function () {

			//Lets setup the audio player stuff
			var a = audiojs.createAll({
				createPlayer: {
					markup: '\
						<div class="play-pause"> \
						<p class="play"><i class="icon-play"></i></p> \
						<p class="pause"><i class="icon-pause"></i></p> \
						<p class="loading"></p> \
						<p class="error"></p> \
						</div> \
						<div class="scrubber"> \
						<div class="progress"></div> \
						<div class="loaded"></div> \
						</div> \
						<div class="time"> \
						<em class="played">00:00</em>/<strong class="duration">00:00</strong> \
						</div> \
						<div class="error-message"></div>',
					playPauseClass: 'play-pause',
					scrubberClass: 'scrubber',
					progressClass: 'progress',
					loaderClass: 'loaded',
					timeClass: 'time',
					durationClass: 'duration',
					playedClass: 'played',
					errorMessageClass: 'error-message',
					playingClass: 'playing',
					loadingClass: 'loading',
					errorClass: 'error'
				},
				css: false,
				imageLocation: false,
				swfLocation: cwJSvars.audiojs_url,

			});

			$(a).each(function (key, value) {

				var as = a[key],
					audio_player = $('.audiojs').get(key)
					play_btn = $(audio_player).find('.play-pause'),
					cw_list = $(audio_player).next(),
					cw_list_li = $(cw_list).find('li'),

					first = $(cw_list).find('li a').attr('data-src');

				$(cw_list_li).first().addClass('playing');

				as.load(first);

				//Make sure everything paues     
				$(cw_list_li).click(function (e) {
					e.preventDefault();
					$(this).addClass('playing').siblings().removeClass('playing');
					var thisIndex = $(audio_player).index('.audiojs');

					$.each(a, function (index, val) {
						if (index != thisIndex && a[index].playing) a[index].pause();
					});

					as.load($('a', this).attr('data-src'));
					as.play();
				});

				//Make sure everything paues again
				$(play_btn).click(function () {
					var thisIndex = $(this).parents('.audiojs').index('.audiojs');

					$.each(a, function (index, val) {
						if (index != thisIndex && a[index].playing) a[index].pause();
					});

				});

				//trackEnded needs new var so it doesnt loop multiple players
				as.trackEnded = function () {

					var thisIndex = $(audio_player).index('.audiojs');
					current = $('.audiojs').get(thisIndex), audio_list = $(current).next(), playing = $(audio_list).find('li.playing');
					next = $(playing).next();

					if (!next.length) next = $(audio_list).children().first();
					next.addClass('playing').siblings().removeClass('playing');
					as.load($('a', next).attr('data-src'));
					as.play();
				}

			});

		}
	} //End Functions

	$(window).load(function () {

		cwTracked.slideshow();

	});

	jQuery(document).ready(function ($) {

		var menuStatus = false;
		
		
		$('aside#sidebar').scroll(function (e) {
			e.preventDefault()
			e.stopPropagation();

		});
		$('body').scroll(function (e) {
			e.preventDefault()
			e.stopPropagation();

		});		
		
		var window_width = $(window).innerWidth();
			
		$(window).resize(function(){
			
			if($(this).innerWidth() != window_width){
				
				window_width = $(this).innerWidth();
			
			}
		
		});	

	if ( window_width < 321 ) {
			// Toggle Menu on click(or touch)
			$("a.toggle-menu").click(function () {

				if (menuStatus != true) {

					$('div.side-wrap').animate({
						marginLeft: "0px",
					}, 300, function () {
						menuStatus = true
					});
					return false;
				} else {
					$('div.side-wrap').animate({
						marginLeft: "-286px",
					}, 300, function () {
						menuStatus = false
					});
					return false;
				}
			});
			//Close menu on swipe left guestures
			$('body').on('swipeleftup swipeleft swipeleftdown', function (e) {

				e.stopPropagation();

				if (menuStatus) {
					$('div.side-wrap').animate({
						marginLeft: "-286px",
					}, 100, function () {
						menuStatus = false
					});
				}
			});
			
		} else {

			// Toggle Menu on click(or touch)
			$("a.toggle-menu").click(function () {
				if (menuStatus != true) {
					$('div.side-wrap').animate({
						marginLeft: "0px",
					}, 300, function () {
						menuStatus = true
					});
					return false;
				} else {
					$('div.side-wrap').animate({
						marginLeft: "-361px",
					}, 300, function () {
						menuStatus = false
					});
					return false;
				}
			});
			
			//Close menu on swipe left guestures
			$('body').on('swipeleftup swipeleft swipeleftdown', function (e) {

				e.stopPropagation();

				if (menuStatus) {
					$('div.side-wrap').animate({
						marginLeft: "-361px",
					}, 100, function () {
						menuStatus = false
					});
				}
			});
		}
		$(window).resize(function(){

		if (menuStatus != true) {
			
			if (window_width > 320 && window_width < 481 ){

				$('div.side-wrap').css('margin-left', '-361px');
			
			}
			if( window_width < 321){
						
				$('div.side-wrap').css('margin-left', '-286px');

			}
			
		}
		});
		

		//Close menu on swipe left guestures
		$('body').on('swiperightup swiperight swiperightdown', function (e) {

			e.stopPropagation();

			if (!menuStatus) {
				$('div.side-wrap').animate({
					marginLeft: "0px",
				}, 100, function () {
					menuStatus = true
				});
			}
		});

		$('.side-nav-title').click(function () {

			$(this).toggleClass('icon-minus icon-plus');
			console.log('fuck');

			$(this).next(".side-nav-content").slideToggle(200);

		});

		$('.side-widget-title').click(function () {

			$(this).toggleClass('icon-plus icon-minus');


			$(this).next(".side-widget-content").slideToggle(200);

		});

		//make navigation li clickable 
		$('section.widget_categories ul li, section.widget_recent_entries ul li').click(function () {

			window.location = $(this).find("a").attr("href");

			return false;

		});		
		
		cwTracked.fitVid();

		cwTracked.audio();

	});
})(jQuery);